import CSSClasses from "../Helpers/CSSClasses.ts";
import type HasFieldData from "../Interfaces/HasFieldData.ts";
/**
 * Field class.
 *
 * @since 1.0.0
 */
export default class Content {
    readonly id: string;
    readonly content: string;
    readonly classes: CSSClasses;
    /**
     * Initializing field.
     *
     * @param fieldData  Field data.
     *
     * @since 1.0.0
     *
     */
    constructor(fieldData: HasFieldData);
}
