import CSSClasses from "../Helpers/CSSClasses.ts";
/**
 * Field class.
 *
 * @since 1.0.0
 */
export default class Content {
    id;
    content;
    classes;
    /**
     * Initializing field.
     *
     * @param fieldData  Field data.
     *
     * @since 1.0.0
     *
     */
    constructor(fieldData) {
        this.id = fieldData.id;
        this.content = fieldData.content;
        this.classes = this.classes = new CSSClasses(fieldData.classes);
    }
}
