import type HasActionAlertData from "./HasActionNoticeData.ts";
import type HasActionModalData from "./HasActionModalData.ts";
import type HasConditionData from "./HasConditionData.ts";
import type Trigger from "../../Types/Trigger.ts";
/**
 * Trigger data interface.
 *
 * @since 1.0.0
 */
export default interface HasEventData {
    readonly trigger: Trigger;
    readonly conditions: HasConditionData[];
    readonly actions: HasActionAlertData[] | HasActionModalData[];
}
