import type HasSubmissionData from "./HasSubmissionData.ts";
import type HasConditionData from "./HasConditionData.ts";
import type HasFieldData from "./HasFieldData.ts";
/**
 * Fieldset data interface.
 *
 * @since 1.0.0
 */
export default interface HasFieldsetData {
    readonly id: string;
    readonly legend?: string;
    readonly params?: [];
    readonly classes?: [];
    readonly legendClasses?: [];
    readonly fieldsClasses?: [];
    readonly fields: HasFieldData[];
    readonly conditions?: HasConditionData[];
    readonly nextFieldset?: string;
    readonly prevFieldset?: string;
    readonly submission?: HasSubmissionData;
}
