import type HasActionData from "./HasFormStateData.ts";
import type HasFieldsetData from "./HasFieldsetData.ts";
import type HasEventData from "./HasEventData.ts";
import type HasNavigationData from "./HasNavigationData.ts";
/**
 * Form data interface.
 *
 * @since 1.0.0
 */
export default interface HasFormData {
    id: string;
    classes?: string[];
    start?: string;
    showTabs?: boolean;
    fieldsets: HasFieldsetData[];
    navigation?: HasNavigationData;
    actions?: HasActionData[];
    events?: HasEventData[];
}
